## net.sf.saxon.regex
Class RegexTranslator.Range

    java.lang.Object
      net.sf.saxon.regex.RegexTranslator.Range

All Implemented Interfaces:
  Comparable

Enclosing class:
  RegexTranslator

    public static final class RegexTranslator.Range

extends Object
implements Comparable

Constructor Summary
`RegexTranslator.Range(int min, int max)`

Method Summary
`int` `compareTo(Object o)`
`int` `getMax()`
`int` `getMin()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegexTranslator.Range

    public RegexTranslator.Range(int min,
                                 int max)

Method Detail

### getMin

    public int getMin()

### getMax

    public int getMax()

### compareTo

    public int compareTo(Object o)

  Specified by:
    `compareTo` in interface `Comparable`

Copyright (C) Michael H. Kay. All rights reserved.